package com.artfess.yhxt.specialproject.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.specialproject.model.BizProjectBeginApplyFor;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.specialproject.vo.BizProjectBeginApplyForEngineeringVo;
import com.artfess.yhxt.specialproject.vo.BizProjectBeginApplyForVo;

/**
 * 项目开工申请表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wangping
 * @since 2021-08-11
 */
public interface BizProjectBeginApplyForManager extends BaseManager<BizProjectBeginApplyFor> {

    PageList<BizProjectBeginApplyFor> queryBizProjectBeginApplyFor(QueryFilter<BizProjectBeginApplyFor> queryFilter);

    BizProjectBeginApplyFor getBizProjectBeginApplyForById(String id);

    void saveProjectBeginApplyForStateVo(BizProjectBeginApplyForVo vo);

    //保存开工申请条件、附件
    void saveVo(BizProjectBeginApplyForEngineeringVo bizProjectBeginApplyForEngineeringVo);
    //修改开工申请条件、附件
    void updateVo(BizProjectBeginApplyForEngineeringVo bizProjectBeginApplyForEngineeringVo);
    //根据ID查询开工申请、附件
    BizProjectBeginApplyForEngineeringVo getVo(String id);
}
